@REM ----------------------------------------------------------------------------
@REM  Copyright 2001-2006 The Apache Software Foundation.
@REM
@REM  Licensed under the Apache License, Version 2.0 (the "License");
@REM  you may not use this file except in compliance with the License.
@REM  You may obtain a copy of the License at
@REM
@REM       http://www.apache.org/licenses/LICENSE-2.0
@REM
@REM  Unless required by applicable law or agreed to in writing, software
@REM  distributed under the License is distributed on an "AS IS" BASIS,
@REM  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM  See the License for the specific language governing permissions and
@REM  limitations under the License.
@REM ----------------------------------------------------------------------------
@REM
@REM   Copyright (c) 2001-2006 The Apache Software Foundation.  All rights
@REM   reserved.

@echo off

set ERROR_CODE=0

:init
@REM Decide how to startup depending on the version of windows

@REM -- Win98ME
if NOT "%OS%"=="Windows_NT" goto Win9xArg

@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" @setlocal

@REM -- 4NT shell
if "%eval[2+2]" == "4" goto 4NTArgs

@REM -- Regular WinNT shell
set CMD_LINE_ARGS=%*
goto WinNTGetScriptDir

@REM The 4NT Shell from jp software
:4NTArgs
set CMD_LINE_ARGS=%$
goto WinNTGetScriptDir

:Win9xArg
@REM Slurp the command line arguments.  This loop allows for an unlimited number
@REM of arguments (up to the command line limit, anyway).
set CMD_LINE_ARGS=
:Win9xApp
if %1a==a goto Win9xGetScriptDir
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto Win9xApp

:Win9xGetScriptDir
set SAVEDIR=%CD%
%0\
cd %0\..\.. 
set BASEDIR=%CD%
cd %SAVEDIR%
set SAVE_DIR=
goto repoSetup

:WinNTGetScriptDir
for %%i in ("%~dp0..") do set "BASEDIR=%%~fi"

:repoSetup
set REPO=


if "%JAVACMD%"=="" set JAVACMD=java

if "%REPO%"=="" set REPO=%BASEDIR%\lib

set CLASSPATH="%BASEDIR%"\etc;"%REPO%"\rtree-0.4.1.jar;"%REPO%"\rxjava-core-0.20.4.jar;"%REPO%"\google-cloud-nio-0.124.14.jar;"%REPO%"\google-cloud-storage-2.11.3.jar;"%REPO%"\opencensus-contrib-http-util-0.31.1.jar;"%REPO%"\google-http-client-jackson2-1.42.2.jar;"%REPO%"\google-api-client-2.0.0.jar;"%REPO%"\google-oauth-client-1.34.1.jar;"%REPO%"\google-http-client-gson-1.42.2.jar;"%REPO%"\google-http-client-apache-v2-1.42.2.jar;"%REPO%"\gson-2.9.1.jar;"%REPO%"\auto-value-annotations-1.9.jar;"%REPO%"\proto-google-common-protos-2.9.2.jar;"%REPO%"\google-cloud-core-http-2.8.6.jar;"%REPO%"\google-http-client-appengine-1.42.2.jar;"%REPO%"\gax-httpjson-0.103.7.jar;"%REPO%"\google-auth-library-credentials-1.8.1.jar;"%REPO%"\google-auth-library-oauth2-http-1.8.1.jar;"%REPO%"\api-common-2.2.1.jar;"%REPO%"\javax.annotation-api-1.3.2.jar;"%REPO%"\opencensus-api-0.31.1.jar;"%REPO%"\grpc-context-1.48.0.jar;"%REPO%"\proto-google-iam-v1-1.5.2.jar;"%REPO%"\protobuf-java-3.21.4.jar;"%REPO%"\protobuf-java-util-3.21.4.jar;"%REPO%"\threetenbp-1.6.0.jar;"%REPO%"\jackson-core-2.13.3.jar;"%REPO%"\google-api-services-storage-v1-rev20220705-2.0.0.jar;"%REPO%"\gax-2.18.7.jar;"%REPO%"\google-cloud-core-2.8.6.jar;"%REPO%"\google-http-client-1.42.2.jar;"%REPO%"\httpclient-4.5.13.jar;"%REPO%"\httpcore-4.4.15.jar;"%REPO%"\javax.inject-1.jar;"%REPO%"\jsr305-3.0.2.jar;"%REPO%"\guava-31.1-jre.jar;"%REPO%"\failureaccess-1.0.1.jar;"%REPO%"\listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.jar;"%REPO%"\checker-qual-3.12.0.jar;"%REPO%"\error_prone_annotations-2.11.0.jar;"%REPO%"\j2objc-annotations-1.3.jar;"%REPO%"\commons-io-2.11.0.jar;"%REPO%"\commons-csv-1.9.0.jar;"%REPO%"\commons-math3-3.6.1.jar;"%REPO%"\alignment-1.9.5.jar;"%REPO%"\core-1.9.5.jar;"%REPO%"\bytecode-1.9.5.jar;"%REPO%"\sequencing-1.9.5.jar;"%REPO%"\dsh-commandline-1.2.jar;"%REPO%"\commons-lang-2.6.jar;"%REPO%"\dsh-compress-1.6.jar;"%REPO%"\htsjdk-2.24.1.jar;"%REPO%"\commons-logging-1.1.1.jar;"%REPO%"\snappy-java-1.1.7.3.jar;"%REPO%"\xz-1.8.jar;"%REPO%"\ngs-java-2.9.0.jar;"%REPO%"\mjson-1.4.1.jar;"%REPO%"\zstd-jni-1.5.2-2.jar;"%REPO%"\commons-compress-1.21.jar;"%REPO%"\dsh-bio-align-2.1.jar;"%REPO%"\dsh-bio-alignment-2.1.jar;"%REPO%"\commons-codec-1.15.jar;"%REPO%"\dsh-bio-annotation-2.1.jar;"%REPO%"\dsh-bio-assembly-2.1.jar;"%REPO%"\dsh-bio-feature-2.1.jar;"%REPO%"\dsh-bio-range-2.1.jar;"%REPO%"\dsh-bio-read-2.1.jar;"%REPO%"\dsh-bio-variant-2.1.jar;"%REPO%"\dsh-graph-1.0.jar;"%REPO%"\dsh-functor-1.0.jar;"%REPO%"\aws-java-nio-spi-for-s3-1.0.0.jar;"%REPO%"\s3-2.17.129.jar;"%REPO%"\aws-xml-protocol-2.17.129.jar;"%REPO%"\aws-query-protocol-2.17.129.jar;"%REPO%"\protocol-core-2.17.129.jar;"%REPO%"\arns-2.17.129.jar;"%REPO%"\profiles-2.17.129.jar;"%REPO%"\sdk-core-2.17.129.jar;"%REPO%"\reactive-streams-1.0.3.jar;"%REPO%"\auth-2.17.129.jar;"%REPO%"\json-utils-2.17.129.jar;"%REPO%"\third-party-jackson-core-2.17.129.jar;"%REPO%"\eventstream-1.0.1.jar;"%REPO%"\http-client-spi-2.17.129.jar;"%REPO%"\regions-2.17.129.jar;"%REPO%"\annotations-2.17.129.jar;"%REPO%"\utils-2.17.129.jar;"%REPO%"\aws-core-2.17.129.jar;"%REPO%"\metrics-spi-2.17.129.jar;"%REPO%"\apache-client-2.17.129.jar;"%REPO%"\netty-nio-client-2.17.129.jar;"%REPO%"\netty-codec-http-4.1.72.Final.jar;"%REPO%"\netty-codec-http2-4.1.72.Final.jar;"%REPO%"\netty-codec-4.1.72.Final.jar;"%REPO%"\netty-transport-4.1.72.Final.jar;"%REPO%"\netty-resolver-4.1.72.Final.jar;"%REPO%"\netty-common-4.1.72.Final.jar;"%REPO%"\netty-buffer-4.1.72.Final.jar;"%REPO%"\netty-handler-4.1.72.Final.jar;"%REPO%"\netty-tcnative-classes-2.0.46.Final.jar;"%REPO%"\netty-transport-classes-epoll-4.1.72.Final.jar;"%REPO%"\netty-transport-native-unix-common-4.1.72.Final.jar;"%REPO%"\netty-reactive-streams-http-2.0.5.jar;"%REPO%"\netty-reactive-streams-2.0.5.jar;"%REPO%"\slf4j-api-1.7.30.jar;"%REPO%"\logback-core-1.2.10.jar;"%REPO%"\caffeine-2.9.3.jar;"%REPO%"\slf4j-simple-1.7.30.jar;"%REPO%"\dsh-bio-tools-2.1.jar

set ENDORSED_DIR=
if NOT "%ENDORSED_DIR%" == "" set CLASSPATH="%BASEDIR%"\%ENDORSED_DIR%\*;%CLASSPATH%

if NOT "%CLASSPATH_PREFIX%" == "" set CLASSPATH=%CLASSPATH_PREFIX%;%CLASSPATH%

@REM Reaching here means variables are defined and arguments have been captured
:endInit

%JAVACMD% %JAVA_OPTS%  -classpath %CLASSPATH% -Dapp.name="dsh-rename-gff3-references" -Dapp.repo="%REPO%" -Dapp.home="%BASEDIR%" -Dbasedir="%BASEDIR%" org.dishevelled.bio.tools.RenameGff3References %CMD_LINE_ARGS%
if %ERRORLEVEL% NEQ 0 goto error
goto end

:error
if "%OS%"=="Windows_NT" @endlocal
set ERROR_CODE=%ERRORLEVEL%

:end
@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" goto endNT

@REM For old DOS remove the set variables from ENV - we assume they were not set
@REM before we started - at least we don't leave any baggage around
set CMD_LINE_ARGS=
goto postExec

:endNT
@REM If error code is set to 1 then the endlocal was done already in :error.
if %ERROR_CODE% EQU 0 @endlocal


:postExec

if "%FORCE_EXIT_ON_ERROR%" == "on" (
  if %ERROR_CODE% NEQ 0 exit %ERROR_CODE%
)

exit /B %ERROR_CODE%
